# Incidents.Events

## Overview

### Available Operations

* [get](#get) - Get Incident Events

## get

* This endpoint is used to get all the deduped incident events details by either ID or number.
* Requires `access_token` as a `Bearer {{token}}` in the `Authorization` header.

Query Params:

```
offset - non zero value
limit - non zero value, maximum is 10
sort - sort it by either asc or desc
deduped - if set to true, it will return only the deduplicated events. if set to false, it will return only the non-deduplicated event, otherwise it will return all the events
```

### Example Usage

```python
from squadcast import SquadcastSDK


with SquadcastSDK(
    refresh_token_auth="<YOUR_REFRESH_TOKEN_AUTH_HERE>",
) as squadcast_sdk:

    res = squadcast_sdk.incidents.events.get(incident_id="<id>", offset="<value>", limit="<value>", sort="<value>", deduped="<value>")

    # Handle response
    print(res)

```

### Parameters

| Parameter     | Type                                                                          | Required             | Description                                                                                                                                                                      |
| ------------- | ----------------------------------------------------------------------------- | -------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `incident_id` | *str*                                                                         | :heavy\_check\_mark: | N/A                                                                                                                                                                              |
| `offset`      | *str*                                                                         | :heavy\_check\_mark: | non zero value                                                                                                                                                                   |
| `limit`       | *str*                                                                         | :heavy\_check\_mark: | non zero value, maximum is 10                                                                                                                                                    |
| `sort`        | *str*                                                                         | :heavy\_check\_mark: | sort it by either asc or desc                                                                                                                                                    |
| `deduped`     | *str*                                                                         | :heavy\_check\_mark: | <p>if set to true, it will return only the deduped events.<br><br>if set to false, it will return only the non-deduped event.<br><br>otherwise it will return all the events</p> |
| `retries`     | [Optional\[utils.RetryConfig\]](/python-sdk/docs/models/utils/retryconfig.md) | :heavy\_minus\_sign: | Configuration to override the default retry behavior of the client.                                                                                                              |

### Response

[**models.IncidentsGetIncidentEventsResponse**](/python-sdk/docs/models/incidentsgetincidenteventsresponse.md)

### Errors

| Error Type                      | Status Code | Content Type     |
| ------------------------------- | ----------- | ---------------- |
| errors.BadRequestError          | 400         | application/json |
| errors.UnauthorizedError        | 401         | application/json |
| errors.PaymentRequiredError     | 402         | application/json |
| errors.ForbiddenError           | 403         | application/json |
| errors.NotFoundError            | 404         | application/json |
| errors.ConflictError            | 409         | application/json |
| errors.UnprocessableEntityError | 422         | application/json |
| errors.InternalServerError      | 500         | application/json |
| errors.BadGatewayError          | 502         | application/json |
| errors.ServiceUnavailableError  | 503         | application/json |
| errors.GatewayTimeoutError      | 504         | application/json |
| errors.SDKDefaultError          | 4XX, 5XX    | \*/\*            |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.incidents.cloud.solarwinds.com/python-sdk/docs/sdks/events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
